#ifndef RF_PIN_CONFIG_H
#define RF_PIN_CONFIG_H

// to configure the direction of the spi pins
#define SCK_OUTPUT() 		DDRB |= (1<<5)
#define SDI_OUTPUT() 		DDRB |= (1<<3)
#define SDO_INPUT() 		DDRB &= ~(1<<4)

// to check the status of the interrupt pins
#define IS_INT_T_HIGH() 	PIND&0x04
#define IS_INT_T_LOW() 		(~PIND)&0x04
#define IS_INT_R_HIGH() 	PIND&0x08
#define IS_INT_R_LOW() 		(~PIND)&0x08
#define IS_SDO_HIGH() 		PINB&0x10
#define IS_SDO_LOW() 		(~PINB)&0x10

// to configure the direction of the the interrupt pins
#define INT_T_INPUT() 		DDRD &= ~(1<<2)
#define INT_R_INPUT() 		DDRD &= ~(1<<3)

// interrupt settings
#define TX_INT_NR			0
#define TX_INT_VEC			INT0_vect
#define RX_INT_NR			1
#define RX_INT_VEC			INT1_vect

// to control the spi pins
#define HI_SDI() 			PORTB |= (1<<3)
#define LOW_SDI() 			PORTB &= ~(1<<3)
#define HI_SDO() 			PORTB |= (1<<4)
#define LOW_SDO() 			PORTB &= ~(1<<4)
#define HI_SCK() 			PORTB |= (1<<5)
#define LOW_SCK() 			PORTB &=~(1<<5)

// port settings for the normal board
// to control the send pin
#define RF02_SEND_ONE()		PORTD |=(1<<5);
#define RF02_SEND_ZERO()	PORTD &=~(1<<5);
#define RF02_INIT_DATA()	DDRD |= (1<<5);

// to configure the direction of the chip selects pins
#define SEL_T_OUTPUT() 		DDRD |= (1<<6)
#define SEL_R_OUTPUT() 		DDRD |= (1<<7)

// to control the chip select pins
#define HI_SEL_T() 		PORTD |= (1<<6)
#define LOW_SEL_T() 		PORTD &= ~(1<<6)
#define HI_SEL_R() 		PORTD |= (1<<7)
#define LOW_SEL_R() 		PORTD &= ~(1<<7)

#endif
